<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$uz=check($uz);

echo '<img src="../images/img/partners.gif" alt=""> <b>Изменение авторитета</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if($uz!=""){
if($udata[36]>=150){
if($log!=$uz){	
if($udata[48]<$sitetime){
	

$liness=file(BASEDIR."local/dataraiting/$log.dat");
foreach($liness as $values){
if ($uz==trim($values)) {$userclear="ok"; break;}
}

if($userclear!="ok"){
	
$uz_prof = file("../local/profil/$uz.prof"); 
$uz_udata = explode(":||:",$uz_prof[0]);	
if($uz_udata[0]!=""){
if($uz_udata[36]>=150){	
	
//---------------------- Увеличение авторитета ------------------------------//	
if($action=="plus"){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[48]=$sitetime+10800; // на 3-часа лишаем права отзыва

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

//---------------------------Запись всех ников в файл----------------------------//

$fprat=fopen(BASEDIR."local/dataraiting/$log.dat","a+");
flock ($fprat,LOCK_EX);
fputs($fprat,"$uz\r\n");
flock ($fprat,LOCK_UN);
fclose($fprat);
chmod ($fprat, 0666);
chmod (BASEDIR."local/dataraiting/$log.dat", 0666);


$filerat=file(BASEDIR."local/dataraiting/$log.dat");
$irat = count($filerat);
if ($irat>=20) {
$fprat=fopen(BASEDIR."local/dataraiting/$log.dat","w");
flock ($fprat,LOCK_EX);
unset($filerat[0],$filerat[1]);
fputs($fprat, implode("",$filerat));
flock ($fprat,LOCK_UN);
fclose($fprat);
}

//------------------------------Уведомление по привату------------------------//
if($config_notificraiting==1){
$filesize= filesize(BASEDIR."local/privat/$uz.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);
if($pers<100){
	
$mess=base64_encode("Пользователь $log поставил вам плюс");
$tex=$log.'|'.$mess.'|'.$sitetime.'|'; 
	
$fp=fopen(BASEDIR."local/privat/$uz.$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
}}

//------------------------------ Запись в чужой профиль  ----------------------------//
$uzer_file = file(BASEDIR."local/profil/$uz.prof"); 
$uzer_data = explode(":||:",$uzer_file[0]);

if($config_notificraiting==1){$uzer_data[10]++;}
$uzer_data[49]++;
$uzer_data[50]++;

for ($u2=0; $u2<$config_userprofkey; $u2++){
$uzer_text.=$uzer_data[$u2].':||:';}

if($uzer_data[0]!="" && $uzer_data[1]!="" && $uzer_data[4]!="" && $uzer_text!=""){
$fp2=fopen(BASEDIR."local/profil/$uz.prof","a+");
flock($fp2,LOCK_EX);   
ftruncate($fp2,0);                                                                 
fputs($fp2,$uzer_text);
fflush($fp2);
flock($fp2,LOCK_UN);
fclose($fp2);  
unset($uzer_text);
}




echo 'Ваш положительный голос за пользователя '.$uz.' успешно оставлен!<br>';
echo 'В данный момент его авторитет: '.(int)($uz_udata[49]+1).'<br>';
echo 'Всего положительных голосов: '.(int)($uz_udata[50]+1).'<br>';
echo 'Всего отрицательных голосов: '.(int)$uz_udata[51].'<br><br>';

echo 'От общего числа положительных и отрицательных голосов строится рейтинг самых авторитетных<br>';
echo 'Внимание, следующий голос вы сможете оставить не менее чем через 3 часа!<br>';
}

//---------------------- Уменьшение авторитета ------------------------------//	
if($action=="minus"){



//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[48]=$sitetime+10800; // на 3-часа лишаем права отзыва

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}


//---------------------------Запись всех ников в файл----------------------------//

$fprat=fopen(BASEDIR."local/dataraiting/$log.dat","a+");
flock ($fprat,LOCK_EX);
fputs($fprat,"$uz\r\n");
flock ($fprat,LOCK_UN);
fclose($fprat);
chmod ($fprat, 0666);
chmod (BASEDIR."local/dataraiting/$log.dat", 0666);


$filerat=file(BASEDIR."local/dataraiting/$log.dat");
$irat = count($filerat);
if ($irat>=20) {
$fprat=fopen(BASEDIR."local/dataraiting/$log.dat","w");
flock ($fprat,LOCK_EX);
unset($filerat[0],$filerat[1]);
fputs($fprat, implode("",$filerat));
flock ($fprat,LOCK_UN);
fclose($fprat);
}

//------------------------------Уведомление по привату------------------------//
if($config_notificraiting==1){
$filesize= filesize(BASEDIR."local/privat/$uz.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);
if($pers<100){
	
$mess=base64_encode("Пользователь $log поставил вам минус");
$tex=$log.'|'.$mess.'|'.$sitetime.'|'; 
	
$fp=fopen(BASEDIR."local/privat/$uz.$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
}}

//------------------------------ Запись в чужой профиль  ----------------------------//
$uzer_file = file(BASEDIR."local/profil/$uz.prof"); 
$uzer_data = explode(":||:",$uzer_file[0]);

if($config_notificraiting==1){$uzer_data[10]++;}
$uzer_data[49]--;
$uzer_data[51]++;

for ($u2=0; $u2<$config_userprofkey; $u2++){
$uzer_text.=$uzer_data[$u2].':||:';}

if($uzer_data[0]!="" && $uzer_data[1]!="" && $uzer_data[4]!="" && $uzer_text!=""){
$fp2=fopen(BASEDIR."local/profil/$uz.prof","a+");
flock($fp2,LOCK_EX);   
ftruncate($fp2,0);                                                                 
fputs($fp2,$uzer_text);
fflush($fp2);
flock($fp2,LOCK_UN);
fclose($fp2);  
unset($uzer_text); 
}




echo 'Ваш отрицательный голос за пользователя '.$uz.' успешно оставлен!<br>';
echo 'В данный момент его авторитет: '.(int)($uz_udata[49]-1).'<br>';
echo 'Всего положительных голосов: '.(int)$uz_udata[50].'<br>';
echo 'Всего отрицательных голосов: '.(int)($uz_udata[51]+1).'<br><br>';

echo 'От общего числа положительных и отрицательных голосов строится рейтинг самых авторитетных<br>';
echo 'Внимание, следующий голос вы сможете оставить не менее чем через 3 часа!<br>';
}


}else{echo 'Cтатус пользователя '.$uz.' недостаточен для изменения авторитета!<br>';}
}else{echo 'Ошибка, не удалось найти профиль пользователя '.$uz.'!<br>';}
}else{echo 'Ошибка, вы уже оставляли голос за этого пользователя!<br>';}
}else{echo 'Ошибка, разрешается оставлять голос только раз в 3 часа!<br>';}
}else{echo 'Ошибка, нельзя изменять авторитет у самого себя<br>';}
}else{echo 'Ошибка, ваш статус не позволяет вам изменять авторитет<br>';}
}else{echo 'Ошибка, отсутствует логин пользователя!<br>';}
}else{echo 'Для того чтобы изменять авторитет вы должны быть авторизованы<br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="anketa.php?uz='.$uz.'&amp;'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>